Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db
Class SwissprotSequenceDB

    java.lang.Object
      org.biojava.bio.seq.db.SwissprotSequenceDB

    public class SwissprotSequenceDB

extends Object

This class contains functions accessing sequences in swiss-prot.

Author:
  Lei Lai, Matthew Pocock

Constructor Summary
`SwissprotSequenceDB()`

Method Summary
`boolean` | `checkIOException()`
`protected URL` | `getAddress(String id)`
`protected Alphabet` | `getAlphabet()`
`String` | `getName()`
`Sequence` | `getSequence(String id)`
`protected SequenceFormat` | `getSequenceFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwissprotSequenceDB

    public SwissprotSequenceDB()

Method Detail

### getSequenceFormat

    protected SequenceFormat getSequenceFormat()

### getAlphabet

    protected Alphabet getAlphabet()

### getAddress

    protected URL getAddress(String id)
                      throws MalformedURLException

  Throws:
    `MalformedURLException`

### getName

    public String getName()

### getSequence

    public Sequence getSequence(String id)
                         throws BioException

  Throws:
    `BioException`

### checkIOException

    public boolean checkIOException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD